
' ------------------------------------------------------
'      VISUALAGE PACBASE
'
' ------------------------------------------------------
'         - INITIALIZATION OF FILE AE      -
'
' -------------------------------------------------------
'           INSTALLATION
'
' INPUT  : INPUT PARAMETERS
' PTUCAE : RETRIEVAL OF FILE AE
'
' -------------------------------------------------------
' ===========================
' VisualAge Pacbase : Maj AE
' =========================== 
Dim WshShell, Args, WshEnv

Set WshShell = CreateObject("Wscript.Shell")  
Set WshEnv = WshShell.Environment("PROCESS")
Dim FSO
Set FSO = CreateObject("Scripting.FileSystemObject")

MyBVP = "VisualAge Pacbase 3.5"
Dim Return
Return = 0
MyProc = "INAE"
Dim LogMsg

Dim DelDo
DelDo = "YES"
Dim Cobol
Cobol = "Microfocus"

BVP_Version = "3.5 "

Rep_MIG = "HKLM\SOFTWARE\IBM\Migration Utilities For VisualAge Pacbase 3.5"
Rep_MIG = Rep_MIG & "\Server\MIG"
Rep_BVP = "HKLM\SOFTWARE\IBM\BVP VisualAge Pacbase 3.5"
Rep_BVP = Rep_BVP & "\Server\BVP"  
On Error Resume Next
Rep_NLS = WshShell.RegRead (Rep_BVP & "_SYS\NLS\")
Rep_SKEL = WshShell.RegRead (Rep_MIG & "_SYS\SKEL\")
Rep_PGM = WshShell.RegRead (Rep_MIG & "_SYS\PGM\")

  WshEnv("PATH") = Rep_PGM & ";" & WshEnv("PATH")  

  RepWnt =    WshEnv("TMP")
  If RepWnt = "" then
     RepWnt =    WshEnv("TEMP")
  End if
  If RepWnt = "" then
     RepWnt = "c:"
  End if  
  
  
            
' Set COBOL environments :
' ------------------------
Rep_PRD = "HKLM\SOFTWARE\IBM\BVP VisualAge Pacbase 3.5\"
On Error Resume Next
Cobol = WshShell.RegRead (Rep_PRD & "Server\Cobol")   
Dim pos
pos = InStr(Cobol,"MicroFocus")
If pos <> 0 Then
   Cobol = "Microfocus"
else pos = InStr(Cobol,"Acucorp")
     if pos <> 0 then
     Cobol = "Acucorp"
     end if
end if
If Ret <> "" Then
   Cobol = Ret
End if

If Cobol <> "Microfocus" and Cobol <> "Acucorp" Then
 MsgBox "Error Cobol"
End if 


' MICROFOCUS :
' ------------
If Cobol = "Microfocus" Then
 Var = "HKLM\SOFTWARE\Micro Focus\NetExpress\"
 NetExpress = 0
 ApplicationServer = 0

 On Error Resume Next
 NetExpress_Version = WshShell.RegRead (Var & _
        "DefaultVersion")
 If Err.Number = 0 Then
    NetExpress = 1
 End if

 On Error Resume Next
 If NetExpress_Version < "5.0" Then
  NetExpress_Version = WshShell.RegRead (Var & _
                          "Version")
  If Err.Number = 0 Then
     ApplicationServer = 1
 End if
 Else
    ApplicationServer = 1
 End If
 
 If NetExpress = 1 or ApplicationServer = 1 Then
    Var = Var & NetExpress_Version & "\COBOL\"
    COBOL_Version = WshShell.RegRead (Var & "Version")
    Var = Var & COBOL_Version & "\Environment\"
    COBPATH =  WshShell.RegRead (Var & "PATH")
    WshEnv("COBDIR") = WshShell.RegRead (Var & "COBDIR")
    WshEnv("COBHNF") = WshShell.RegRead (Var & "COBHNF")
    WshEnv("PATH") = COBPATH & ";" & WshEnv("PATH")
 Else
    MsgBox "Error Cobol"
 End if
End if    


' ACUCORP :
' ---------
If Cobol = "Acucorp" Then
  WshEnv("CODE_PREFIX") = chr(34) & Rep_PGM & chr(34)
  WshEnv("IO_CREATES") = "ON"
  'Configuration
  Rep_INST =  WshShell.RegRead (Rep_PRD & "\")
  WshEnv("CBLCONFI") =  chr(34) & Rep_INST _
                       & "Server\config\" & base _
                       & "\CBLCONFI"  & chr(34)
End if


' ------------
' SUB
' ------------

' Error Messages :
'==========================================================
Sub Msg_Log (Nls_Args)

Dim Nls_File, Nls_Num, Nls_Lib
Nls_Num = Nls_Args(0)
Nls_Lib = ""

'Search for Nls_Num in error file
Nls_File = Rep_NLS & "\BvpMsg_E.txt"

If Not FSO.FileExists(Nls_File) Then
	
  Nls_Lib = "Error File not found: " & Nls_File
Else
  Set Nls1 = FSO.GetFile(Nls_File)
  Set R_Nls = Nls1.OpenAsTextStream()
  Do While R_Nls.AtEndOfStream <> TRUE
    Line = R_Nls.ReadLine
    If Mid(Line, 4, 4) = Nls_Num Then
      Nls_Lib = Nls_Lib & Mid(Line, 10, 70)
    End If
  Loop
  If Nls_Lib = "" then
    Nls_Lib = "Message " _
    & Nls_Num & " not found in the Error File."
  End If
  R_Nls.Close
End If

' Parameter replacement
ParmNum = 1
Do While Parmnum <= Ubound(Nls_Args)
  Nls_Lib = Replace(Nls_Lib, "$" & ParmNum, _
                       Nls_Args(ParmNum))
  ParmNum = ParmNum + 1
Loop

'Display or Write in log file
Const ForAppending = 8
Select Case MsgTyp
  Case 1
    MyBox = MsgBox(MyProc & ": " & Nls_Lib, 0 , MyBVP)
  Case 2
    Set LogF = FSO.GetFile(RepWnt & "\" _
                           & MyProc & "MSG.LOG")
    Set W_Log = LogF.OpenAsTextStream(ForAppending)
    W_Log.WriteLine (Nls_Lib)
    W_Log.Close
  Case 3
    'Message inhibited '
End Select

End Sub


' Error processing :
'==============================================================
Dim Val
Dim StepPgm
Sub Err_CodI (Ret , Val, StepPgm)

If Ret > Val Then
WshVolEnv("RC") = Ret
If Ret = 99 then
Call Msg_Log (Array("9999", StepPgm, Ret))
else
Call Msg_Log (Array("1025", StepPgm, Ret))
end if
Wscript.Quit (Ret)
End If
End Sub


' ------------
' CORE
' ------------
Set LogMsg = FSO.CreateTextFile(RepWnt & "\" _
                          & MyProc & "MSG.LOG", TRUE)
LogMsg.Close
MsgTyp = 2

Wscript.Sleep 10000

 On error resume next

 Dim CodLang
 CodLang = WshShell.RegRead (Rep_BVP & "_SYS\GenLang") 
 If err.number <> 0  then
    Call Msg_Log (Array("9988"))
 End if  

Call Msg_Log (Array("1022" , "PTUCAE"))
'------------------------------------
WshEnv("PAC7AE") = Rep_SKEL & "\AE"

Wscript.Sleep 10000
If Cobol = "Microfocus" Then 
Return = WshShell.Run("BVPTUCAE.exe " & CodLang, 1, TRUE)
End if
If Cobol = "Acucorp" Then
   RCmd = "wrun32.exe " & _
          " -c " & WshEnv("CBLCONFI") & _
          " "
   Return = WshShell.Run(RCmd & "BVPTUCAE.acu " & _
                         CodLang, 1, TRUE)
End if
        
if err.number <> 0 and Return = 0 then
 Call Msg_Log (Array("9999"))
End if

Call Err_CodI (Return , 0 , "PTUCAE")
Call Msg_Log (Array("1023"))


