'---- ------------------------------------------------------
'          VISUALAGE PACBASE
'
'-----------------------------------------------------------
' =====================================
' VisualAge Server : Procedure Starter
' =====================================

Set WshShell = Wscript.CreateObject("Wscript.Shell")
Set Args = Wscript.Arguments
Set WshEnv = WshShell.Environment("PROCESS")
Set WshVolEnv = WshShell.Environment("VOLATILE")

Dim RCproc
RCproc = 0
Dim Return
Return = 0

Dim FSO
Set  FSO = CreateObject("Scripting.FileSystemObject")

BVP_Version = "3.5"


MyProc =  Wscript.ScriptName
MyBVP = "Migration Utilities For VisualAge Pacbase 3.5"
REP_BVP = "HKLM\Software\IBM\Migration Utilities For "
Rep_BVP = Rep_BVP & "VisualAge Pacbase 3.5\Server\MIG"

Rep_Proc = WshShell.RegRead(Rep_BVP & "_SYS\PROC\")


 Rep_D =  (Rep_BVP & "_DATA\")
 Rep_DATA = WshShell.RegRead(Rep_D)

'Default values

Dim TMsg
'TMsg = 1  systematic display
'TMsg = 2  not display

Dim MbPath
MbPath = ""
INPUT = False
IBASE = False

Dim RetRep
Dim Msg_Lib

Const ForReading = 1, ForWriting = 2, ForAppending = 8


'===========================================================
'FUNCTION and SUB
'===========================================================

' Error Messages :
'===========================================================
  If Not  FSO.FileExists(Rep_DATA & "\PRBVP.LOG") Then
    Set LogP = FSO.CreateTextFile(Rep_DATA & "\PRBVP.LOG" , TRUE       )
    LogP.Close
  End If



Sub Creat_Msg (Msg_Lib)

   Set LogP = FSO.GetFile(Rep_DATA & "\PRBVP.LOG")
   Set W_LogP = LogP.OpenAsTextStream(ForAppending)
   W_LogP.WriteLine (Msg_Lib)

End Sub

'End of  Job DISPLAY :
'==========================================================
Sub DisplayInfo(Msg)
   time_out = 2
   button = vbInformation
   WshShell.Popup Msg, time_out, MyProc , button
End Sub

'===========================================================
'        CORE
'===========================================================

'***** No parameters ====> asks for arguments *****
'***** No parameters ====> asks for arguments *****

If Args.Count = 0 Then

  TMsg = 1

  RetRep = 1
  Do While RetRep = 1
    AskBase = "Enter the Base Name : "
    Reponse = InputBox(AskBase , MyBVP)
    If Reponse = "" or Reponse = " " then Wscript.Quit(1) End If
    Base = Ucase(Reponse)
    On Error Resume Next
   Rep_SCRIPT =  WshShell.RegRead(Rep_D & base & "\SCRIPT\")
    If  Err.Number <> 0 Then
      MyBox = MsgBox("Error on launcher : DataBase " _
      & base & " unknown." , 5 , MyBVP)
      If MyBox = 2 then Wscript.Quit(1) End If
    Else
      RetRep = 0
    End If
  Loop

  RetRep = 1
  Do While RetRep = 1
    AskProc = "Enter the Script Name (BVPxxxx) : "
    Reponse = InputBox(AskProc , MyBVP)
    If Reponse = "" or Reponse = " " then Wscript.Quit(1) End If
    Proc = Ucase(Reponse)
    SProc = Proc & ".wsf"
    ' Script name
    If Not FSO.FileExists(Rep_SCRIPT & "\" & SProc ) Then
      MyBox = MsgBox("Error on launcher : Script  " _
      & SProc & " unknown." , 5 , MyBVP)
      If MyBox = 2 then Wscript.Quit(1) End If
    Else
       RetRep = 0
    End If
  Loop


'**** mode base : Launcher /IBASE base-name by Shortcut ****
'**** mode base : Launcher /IBASE base-name by Shortcut ****

ElseIf Args(0) = "/IBASE" Then

  TMsg = 1

  IBASE = True

  Base = Ucase(Args(1))
  On Error Resume Next
  Rep_SCRIPT =  WshShell.RegRead (Rep_D & base & "\SCRIPT\")
  If  Err.Number <> 0 Then
   time_out = 4
   button = vbInformation

   Msg = "Error on launcher : Key of registry (" _
    & Args(1) & ") missing."
   WshShell.Popup Msg, time_out, MyBVP , button
   Wscript.Quit(1)

  End If


  RetRep = 1
  Do While RetRep = 1
    AskProc = "Enter the Script Name (BVPxxxx) : "
    Reponse = InputBox(AskProc , MyBVP)
    If Reponse = "" or Reponse = " " then Wscript.Quit(1) End If
    Proc = Ucase(Reponse)
    SProc = Proc & ".wsf"
    ' Script name
    If Not FSO.FileExists(Rep_SCRIPT & "\" & SProc ) Then
      MyBox = MsgBox("Error on launcher : Script  " _
      & SProc & " unknown in \DATA\" & Args(1) , 5 , MyBVP)
      If MyBox = 2 then Wscript.Quit(1) End If
    Else
       RetRep = 0
    End If
  Loop

'*** batch mode: Launcher base script ***
'*** batch mode: Launcher base script ***
Else

  TMsg = 2

  Base = Ucase(Args(0))
  If Base = ""  then
     Msg_Lib = "Error on launcher : Base name missing."
     Call Creat_Msg (Msg_Lib)
     Wscript.Quit(1)
   End If
  On Error Resume Next
  Rep_SCRIPT = WshShell.RegRead (Rep_D & base & "\SCRIPT\")
  If  Err.Number <> 0 Then
   Msg_Lib = "Error on launcher : DataBase named " _
    & base & " unknown in Registry."
   Call Creat_Msg (Msg_Lib)
   Wscript.Quit(1)
  End If

  Proc = Ucase(Args(1))
  If Proc = ""  then
     Msg_Lib = "Error on launcher : Script missing."
     Call Creat_Msg (Msg_Lib)
     Wscript.Quit(1)
   End If
  SProc = Proc & ".wsf"
  If Not FSO.FileExists(Rep_SCRIPT & "\" & SProc ) Then
      Msg_Lib = "Error on launcher : Script " _
     & SProc & " unknown."
     Call Creat_Msg (Msg_Lib)
     Wscript.Quit(1)
   End If


 End If

' >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
' >>>>>>>> run procedure base message-type [input-file-path]
' >>>>>>>> run procedure base message-type [input-file-path]
' >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>


RunProc = chr(34) & Rep_SCRIPT & "\" & SProc & chr(34) & " "


If TMsg = 1 then
 MyBox=MsgBox("Running launcher with " & SProc & "." _
        , 1 , MyBVP)
 If MyBox = 2 then Wscript.Quit(1) End If
End If

If TMsg = 2 then
 DisplayInfo ("Start of script : "    & SProc)
End If

Return = WshShell.Run(RunProc , 1 , TRUE )

RCproc = WshVolEnv("RC")

If RCproc = 0 and Return <> 0 Then
'error on executive procedure, not -errcod- called
  RCproc = Return
End If

If RCproc = 0 Then

 Msg_Lib = SProc & " has successfully ended."

 If TMsg = 1  then
  MyBox = MsgBox(Msg_Lib, 64 , MyBVP)
 Else
  Call Creat_Msg (Msg_Lib)
  DisplayInfo (Msg_Lib)
 End If

ELse

 Dim XRCproc
 XRCproc = "(Return code = " & RCproc & ")."
 If RCproc = 9 then XRCproc = "Cancelled." end If

 Msg_Lib = SProc & " has not successfully ended. " _
    & XRCproc

 If TMsg = 1  then
  MyBox = MsgBox(Msg_Lib, 64 , MyBVP)
 Else
  Call Creat_Msg (Msg_Lib)
  DisplayInfo (Msg_Lib)
 End If

End If

Wscript.Quit (0)
